#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

main(int argc, char *argv[])
{
  char str[10], *res; int x;
  FILE *fd=fopen("/home/me/Desktop/pipe","r");

    if(fork()){
        exit(0);
    }
  while(1) {
    res=fgets(str,10,fd);
    int i,n;
    if(res!=NULL) {
      x=atoi(str); //printf("x: %d.\n", x);
      for(i=1;i<=x;i++){
        if(!fork()){
                if(!fork()){
                    sleep(15);
                    exit(0);
                }
                exit(0);
            exit(0);
        }
        wait(0);
      }
    system("ps -e -o pid,ppid,comm | grep rd");
    }
    sleep(1);
  }

}
